using System;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Text;

class SimpleTcpServer
{
	const int LISTENING_PORT = 2222;
	const string EXIT_COMMAND = "exit";

	static void Main(string[] args)
	{
		IPEndPoint serverEndPoint = 
			new IPEndPoint(IPAddress.Any, LISTENING_PORT);
		TcpListener server = new TcpListener(serverEndPoint);
		server.Start();
		Console.WriteLine("Simple TCP Server started listening on {0}...",
			server.LocalEndpoint);
		
		while (true)
		{
			TcpClient client = server.AcceptTcpClient();
			Console.WriteLine("Accepted client connection.");
			NetworkStream ns = client.GetStream();
			using (ns)
			{
				StreamWriter writer = new StreamWriter(ns);
				writer.Write("Enter your name: ");
				writer.Flush();
				StreamReader reader = new StreamReader(ns);
				string name = reader.ReadLine();
				if (name == EXIT_COMMAND)
				{
					break;
				}
				writer.WriteLine("Hello, " + name);
				writer.Flush();
			}
			client.Close();
			Console.WriteLine("Client connection closed.");
		}
		
		server.Stop();
		Console.WriteLine("Simple TCP Server stopped.");
	}
}